# binaryninja.metadata.Metadata

class `binaryninja.metadata.``Metadata`(value=None, signed=None, raw=None, handle=None)
  `__init__`(value=None, signed=None, raw=None, handle=None)

  Methods

  `__init__`([value, signed, raw, handle]) |
  `get_dict`() |
  `remove`(key_or_index) |

  Attributes

  `is_array` |
  `is_boolean` |
  `is_dict` |
  `is_float` |
  `is_integer` |
  `is_raw` |
  `is_signed_integer` |
  `is_string` |
  `is_unsigned_integer` |
  `type` |
  `value` |